
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import net.sf.json.JSONObject;

public class aliyun {
	/**
	 * APISTORE_GET
	 * @param strUrl
	 * @param param
	 * @param appcode
	 * @return
	 */
	public static String APISTORE_GET(String strUrl, String param, String appcode) {
		
		String returnStr = null; // 返回结果定义
		URL url = null;
		HttpURLConnection httpURLConnection = null;
		try {
			url = new URL(strUrl + "?" + param);
			httpURLConnection = (HttpURLConnection) url.openConnection();			
			httpURLConnection.setRequestProperty("Accept-Charset", "utf-8");
			httpURLConnection.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			httpURLConnection.setRequestProperty("Authorization", "APPCODE " + appcode);
			httpURLConnection.setDoOutput(true);
			httpURLConnection.setDoInput(true);
			httpURLConnection.setRequestMethod("GET"); // get方式
			httpURLConnection.setUseCaches(false); // 不用缓存
			httpURLConnection.connect();
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(httpURLConnection.getInputStream(), "utf-8"));
			StringBuffer buffer = new StringBuffer();
			String line = "";
			while ((line = reader.readLine()) != null) {
				buffer.append(line);
			}

			reader.close();
			returnStr = buffer.toString();
		} catch (Exception e) {
			e.printStackTrace();
			
			return null;
		} finally {
			if (httpURLConnection != null) {
				httpURLConnection.disconnect();
			}
		}
		return returnStr;
	}
	
    
    // 发起请求,获取内容
    public static void main(String[] args) {
        	//请正确填写appcode,如果填写错误阿里云会返回 400错误或403错误
        //appcode查看地址 https://market.console.aliyun.com/imageconsole/
        String appcode = "xxxx";
        //请求地址
        String url="http://aliyun-bankcard-verify.apistore.cn/bank";
        //请求参数
        String params = "bankcard=您的银行卡卡号";
        		   params += "&realName=开户姓名";
        		   params += "&cardNo=身份证号码";  //可为空
        		   params += "&Mobile=开户行预留手机号"; //可为空
        
        //发送请求
        String result = APISTORE_GET(url, params, appcode);
        //输出结果
        System.out.println(result);
        //JSON
        JSONObject object = JSONObject.fromObject(result);
        //输出状态码
	    System.out.println(object.getInt("error_code")) ;  
	    //输出返回结果
	    System.out.println(object.get("reason")) ;
    }

}


